Jump to content

So many upgrade problems - Here's why


Guest Westhouse IT
 Share

Recommended Posts

Guest Westhouse IT

After going through repeated upgrade attempts (on copies of DB & site) with earlier v5 versions, and now with v5.0.4, I think I've gotten to the bottom of at least one big reason why upgrades are failing.

The database upgrade scripts

The first file executed during an upgrade from v4.4.5 is 5.0.0b1.sql. While applying each of the 723 lines I discovered a number of problems that should be quite apparent if the upgrades were tested properly.

1. Line 111 - CubeCart_inventory doesn't have a column product_id, that's only renamed to that later, so the query fails.

2. Line 177 - For my customer this successfully wiped out a large number of their customers, and thus orders.

3. Line 315 - Here's the line that should be before line 111.

4. Line 336 - There's already a CURRENT_TIMESTAMP column in that table - date_added. In fact a later DB upgrade script (5.0.0b7) removes the CURRENT_TIMESTAMP setting from date_added and tries to add it to updated, but it can't since the updated column doesn't exist.

Then in 5.0.1.sql a new column is added that already exists as a TEXT column.

And, in general, across all the scripts there's no accounting for an environment that's not perfectly clean. For example, tables like CubeCart_img_idx in v4 are renamed to CubeCart_image_index, but no check is made as to whether that table might exist and thus should be renamed to CubeCart_image_index_bak before renaming img_idx.

I'm hoping some of this might help those who are having a really difficult time getting it to work. For those with image problems, keep in mind that images are stored in the CubeCart_image_index and CubeCart_filemanager tables.

Oh, and the level of documentation for this product is appalling considering it's not a free product.

/rant

Link to comment
Share on other sites

Guest Westhouse IT

You need to submit this as a bug in the bug reporting system, that would be more helpful thanks.

Yes, it has been submitted. But I'm posting the details here to help those unaware of the bugs DB. I haven't actually seen links to it, so many probably don't know to look there.

BTW it's: bugs.cubecart.com

http://bugs.cubecart.com/view.php?id=2972

Link to comment
Share on other sites

Thanks. Most of these have been resolved now. Sorry for the inconvenience!

Customer type = 0 are newsletter only, they should have been moved by now to the specific table so dropping this should be normal. The SQL also errors silently and carries on to the next one. SO if the column already exists it shouldn't matter. The basket cab be a text or blob. Shouldn't make a difference. I just need to check the updated column.

Link to comment
Share on other sites

Guest Westhouse IT

Glad to hear they're resolved, and thanks for the quick response.

Regarding customer type = 0, is it possible for someone on 4.4.5 to have ended up with invoiced customers having a being 0? Or was it maybe just a one-off with this customer of mine. If it's possible, then perhaps a query before that checks for order, etc. and corrects the customer type?

The table renaming really shouldn't fail silently, if this is the part you're referring to.

Yes, TEXT and BLOB are very similar, just be careful that the difference in handling character sets doesn't present a problem.

Link to comment
Share on other sites

  • 2 weeks later...

Glad to hear they're resolved, and thanks for the quick response.

Regarding customer type = 0, is it possible for someone on 4.4.5 to have ended up with invoiced customers having a being 0? Or was it maybe just a one-off with this customer of mine. If it's possible, then perhaps a query before that checks for order, etc. and corrects the customer type?

The table renaming really shouldn't fail silently, if this is the part you're referring to.

Yes, TEXT and BLOB are very similar, just be careful that the difference in handling character sets doesn't present a problem.

All the errors are not fixed with no support from cubecart support on how to fix problems.

Paid for install upgrade first it was the server did not have the right PHP.

So we have moved the account to a new server with php5.3 and now there is an other problem with cubecart and the version of php.

We was told that we needed to put a .htaccess file in the root folder but we dont no what to put in the htaccess file.

What are you paying for when you pay for install upgrade to these people.

Customer pay for install upgrades so the dont have any of these problems may be thats why install/upgrade services is not offered any more

I will not recommend that any one use cubecart as it has so many Bugs that dont get fixed we have upgraded from version 3 to version 5 only because cubecart would not work with paypal express.

thanks for the trouble

Link to comment
Share on other sites

All the errors are not fixed with no support from cubecart support on how to fix problems.

Paid for install upgrade first it was the server did not have the right PHP.

So we have moved the account to a new server with php5.3 and now there is an other problem with cubecart and the version of php.

We was told that we needed to put a .htaccess file in the root folder but we dont no what to put in the htaccess file.

What are you paying for when you pay for install upgrade to these people.

Customer pay for install upgrades so the dont have any of these problems may be thats why install/upgrade services is not offered any more

I will not recommend that any one use cubecart as it has so many Bugs that dont get fixed we have upgraded from version 3 to version 5 only because cubecart would not work with paypal express.

thanks for the trouble

pdl, the upgrade service was temporarily suspended due to demand for the service being too high to allow the developers to also respond to issues being reported by customers.

It is inevitable that software at this early stage of first release encounters issues, as it is impossible to anticipate the wide variety of environments people have CubeCart installed on and the wide variety of ways of using the cart software people want.

CubeCart v5 uses the latest PHP stable releases to make use of the latest PHP security and features, something invaluable in this security conscious business. This will be an issue with ALL security conscious ecommerce software vendors, and ISPs should be keeping up to maintain the security on their servers. You shouldn't be blaming CubeCart for the old version of PHP on your hosting server, this is an issue you should be addressing with your ISP.

The contents of the .htaccess file can be found in the General Settings section, Search Engines tab. It's for the search engine friendly URLs.

Link to comment
Share on other sites

It is inevitable that software at this early stage of first release encounters issues, as it is impossible to anticipate the wide variety of environments people have CubeCart installed on and the wide variety of ways of using the cart software people want.

True, but this was version 5!

Link to comment
Share on other sites

Sorry you have had problems. ALL our staff have had full hands on deck on the support helpdesk. The bug report takes second place to that. A great deal of bugs have been squashed and we are working non-stop all day on customer tickets. Please submit a support ticket if you require support.

Link to comment
Share on other sites

It would help if we was told what needed to be set in the php.ini file or the .htaccess file to get cubecart installed.

Just to say you need to disable PHP warnings and notices is not good enough.

specific settings need to be disabled for CubeCart to work.

thanks

PDL

Link to comment
Share on other sites

It would help if we was told what needed to be set in the php.ini file or the .htaccess file to get cubecart installed.

Just to say you need to disable PHP warnings and notices is not good enough.

specific settings need to be disabled for CubeCart to work.

thanks

PDL

The php.ini file has 101 settings. Beside this there are 101 ways to configure PHP with a number of different server settings let alone MySQL configurations. We are not server administrators but CubeCart has been written to work on the majority of web hosting configurations. There are industry standard configurations most hosting companies tend to adhere to. Others have their own rules and settings and we simply cannot be compatible with everything.

I am sorry you have had troubles. The early released of v5 have been buggy but now we have reached 5.0.5 its looking really good. I'm sorry things haven't been smooth for you.

Link to comment
Share on other sites

Upgraded from 5.0.3 to 5.0.5. NO GOOD! To be honest I have upgraded to 5.0 from 4 and this was the worst mistake I have ever done!

You can't just say 'no good' without saying why. What problem did you have, and have you submitted a bug report?
Link to comment
Share on other sites

Upgraded from 5.0.3 to 5.0.5 with Success according to the script. After checking out the store, there were no products. While trying to login to the Admin page all I saw was a white background. There was nowhere to login. I had to restore the site from a backup.

Link to comment
Share on other sites

Guest Westhouse IT

Upgraded from 5.0.3 to 5.0.5 with Success according to the script. After checking out the store, there were no products. While trying to login to the Admin page all I saw was a white background. There was nowhere to login. I had to restore the site from a backup.

Have you posted a bug report with as much details as possible?

Link to comment
Share on other sites

  • 1 month later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...